package app.events;

public class EditorChangedEvent extends Event {
  
  private int lineNumber;
  private int column;

  public EditorChangedEvent(int lineNumber, int column) {
    this.lineNumber = lineNumber;
    this.column = column;
  }

  public int getLineNumber() {
    return this.lineNumber;
  }

  public int getColumn() {
    return column;
  }
  
}
