package app.events;

import app.model.languages.Java;
import app.model.languages.Markdown;
import app.model.Model;

public class LanguageChangedEvent extends Event {

  private String language;

  public LanguageChangedEvent(String language) {
    this.language = language;

    switch (language) {

      case "Java":
        Model.setLanguage(new Java());
        break;

      case "Markdown":
        Model.setLanguage(new Markdown());
        break;

      default:
        break;
    }
  }

  public String getLanguage() {
    return language;
  }
  
}
